Close Event Report
curl --request PUT \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/events/{eventReportSid}/close \
--header 'token: <api-key>'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/events/{eventReportSid}/close"
headers = {"token": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {token: '<api-key>'}};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/events/{eventReportSid}/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Exam Session Event
Close Event Report
Marks the specified event report as closed/resolved.
The eventReportSid is validated through the hierarchy: eventReport → session → exam → appInstall.
PUT
/
v1
/
installs
/
{installSid}
/
exams
/
{examSid}
/
sessions
/
{sessionSid}
/
events
/
{eventReportSid}
/
close
Close Event Report
Authorizations
Path Parameters
Application install sid
Pattern:
^AI[a-f0-9]{32}$Exam Sid
Pattern:
^EX[a-f0-9]{32}$Session Sid
Pattern:
^ES[a-f0-9]{32}$Report Sid
Pattern:
^ER[a-f0-9]{32}$Response
default - application/json
Successful
The response is of type string.
Was this page helpful?
⌘I
